Index: Makefile
===================================================================
--- Makefile	(revision bad8b539cbca46c3e201a7641fad633248e10696)
+++ Makefile	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
@@ -34,7 +34,11 @@
 	fi;
 	cp images/*.png $(BASEDIR)/images
-	cd $(BASEDIR); sed -i -e "s@../stylesheets@stylesheets@g" index.html legalnotice.html
-	cd $(BASEDIR); sed -i -e "s@../images@images@g" index.html legalnotice.html
+	cd $(BASEDIR); sed -i -e "s@../stylesheets@stylesheets@g" *.html
+	cd $(BASEDIR); sed -i -e "s@../images@images@g" *.html
 	sh goTidy $(BASEDIR)/  
+
+nochunks:
+	@echo "Generating nochunks version of BLFS..."
+
 
 pdf:
Index: general.ent
===================================================================
--- general.ent	(revision bad8b539cbca46c3e201a7641fad633248e10696)
+++ general.ent	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
@@ -130,5 +130,5 @@
                                      
 <!-- Chapter 12 -->                  
-<!ENTITY python-version               "2.4">
+<!ENTITY Python-version               "2.4">
 <!ENTITY LFS-Perl-version             "5.8.5">
 <!ENTITY Module-Info-version          "0.26">
Index: stylesheets/blfs-chunked.xsl
===================================================================
--- stylesheets/blfs-chunked.xsl	(revision bad8b539cbca46c3e201a7641fad633248e10696)
+++ stylesheets/blfs-chunked.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
@@ -1,6 +1,3 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
-
-<!-- Version 0.9 - Manuel Canales Esparcia <macana@lfs-es.org>
-Based on the original lfs-chunked.xsl created by Matthew Burgess -->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
@@ -8,35 +5,57 @@
                 version="1.0">
 
-  	<!-- We use XHTML -->
-  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.65.1/xhtml/chunk.xsl"/>
-  <xsl:param name="chunker.output.encoding" select="'ISO-8859-1'"/>
+  <xsl:import href="blfs-chunked1.xsl"/>
+
+    <!-- Handle name and date in info section as a footnote -->
+
+  <xsl:template name="process.footnotes">
+    <xsl:variable name="footnotes" select=".//footnote"/>
+    <xsl:variable name="fcount">
+      <xsl:call-template name="count.footnotes.in.this.chunk">
+        <xsl:with-param name="node" select="."/>
+        <xsl:with-param name="footnotes" select="$footnotes"/>
+      </xsl:call-template>
+    </xsl:variable>
+   
+    <!-- Only bother to do this if there's at least one non-table footnote -->
+    <xsl:if test="$fcount &gt; 0">
+      <div class="footnotes">
+        <br/>
+        <hr width="100" align="left"/>
+        <xsl:call-template name="process.footnotes.in.this.chunk">
+          <xsl:with-param name="node" select="."/>
+          <xsl:with-param name="footnotes" select="$footnotes"/>
+        </xsl:call-template>
+      </div>
+    </xsl:if>
   
-  	<!-- Including our others customized templates -->
-  <xsl:include href="xhtml/lfs-admon.xsl"/>
-  <xsl:include href="xhtml/lfs-index.xsl"/>
-  <xsl:include href="xhtml/lfs-legalnotice.xsl"/>
-  <xsl:include href="xhtml/lfs-mixed.xsl"/> 
-  <xsl:include href="xhtml/lfs-navigational.xsl"/>
-  <xsl:include href="xhtml/lfs-titles.xsl"/>
-  <xsl:include href="xhtml/lfs-toc.xsl"/>
+    <!-- Add this to the footnotes -->
+    <xsl:apply-templates select='prefaceinfo|chapterinfo|sect1info' mode='attribution'/>
+  </xsl:template>
 
-  	<!-- The CSS Stylesheet -->
-  <xsl:param name="html.stylesheet" select="'../stylesheets/blfs.css'"/>
+  <xsl:template match='prefaceinfo|chapterinfo|sect1info' mode='attribution'>
+    <p class='updated'> Last updated <!-- by 
+      <xsl:apply-templates select="othername" mode='attribution'/> -->
+      on 
+      <xsl:apply-templates select="date" mode='attribution'/> 
+    </p>
+  </xsl:template>
 
-  	<!-- Dropping some unwanted style attributes -->
-  <xsl:param name="ulink.target" select="''"></xsl:param>
-  <xsl:param name="css.decoration" select="0"></xsl:param>
-  
-    <!-- No XML declaration -->
-  <xsl:param name="chunker.output.omit-xml-declaration" select="'yes'"/>
-  
-    <!-- Insert a stylesheet for printing -->
-  <xsl:template name='user.head.content'>
-     <link rel='stylesheet' href="../stylesheets/blfs-print.css" type="text/css" media='print'/>
+  <xsl:template match='othername' mode='attribution'> 
+     <xsl:variable name='author'>
+          <xsl:value-of select='.'/>
+     </xsl:variable>
+     <xsl:variable name='nameonly'>
+          <xsl:value-of select='substring($author,16)'/>
+     </xsl:variable>
+     <xsl:value-of select="substring-before($nameonly,'$')" />
   </xsl:template> 
 
-<xsl:template match="userinput">
-  <xsl:call-template name="inline.monoseq"/>
-</xsl:template>
+  <xsl:template match='date' mode='attribution'> 
+      <xsl:variable name='date'>
+         <xsl:value-of select='.'/>
+      </xsl:variable>
+      <xsl:value-of select="substring($date,7,26)" />
+  </xsl:template> 
 
 </xsl:stylesheet>
Index: stylesheets/blfs-chunked1.xsl
===================================================================
--- stylesheets/blfs-chunked1.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
+++ stylesheets/blfs-chunked1.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
@@ -0,0 +1,34 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+  <xsl:import href="blfs-chunked2.xsl"/>
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.67.2/xhtml/chunk-common.xsl"/>
+  <xsl:include href="http://docbook.sourceforge.net/release/xsl/1.67.2/xhtml/manifest.xsl"/>
+
+    <!--  From the original chunk.xsl file:
+
+    Why is chunk-code now xsl:included?
+
+    Suppose you want to customize *both* the chunking algorithm used *and* the
+    presentation of some elements that may be chunks. In order to do that, you
+    must get the order of imports "just right". The answer is to make your own
+    copy of this file, where you replace the initial import of "docbook.xsl"
+    with an import of your own base.xsl (that does its own import of docbook.xsl).
+
+    Put the templates for changing the presentation of elements in your base.xsl.
+
+    Put the templates that control chunking after the include of chunk-code.xsl.
+
+    Voila! (Man I hope we can do this better in XSLT 2.0)  -->
+
+  <xsl:include href="http://docbook.sourceforge.net/release/xsl/1.67.2/xhtml/chunk-code.xsl"/>
+
+    <!-- Including our others customized chunks templates -->
+  <xsl:include href="xhtml/lfs-index.xsl"/>
+  <xsl:include href="xhtml/lfs-legalnotice.xsl"/>
+  <xsl:include href="xhtml/lfs-navigational.xsl"/>
+
+</xsl:stylesheet>
Index: stylesheets/blfs-chunked2.xsl
===================================================================
--- stylesheets/blfs-chunked2.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
+++ stylesheets/blfs-chunked2.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
@@ -0,0 +1,35 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+  	<!-- We use XHTML -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.67.2/xhtml/docbook.xsl"/>
+  <xsl:param name="chunker.output.encoding" select="'ISO-8859-1'"/>
+  
+  	<!-- Including our others customized elements templates -->
+  <xsl:include href="xhtml/lfs-admon.xsl"/>
+  <xsl:include href="xhtml/lfs-mixed.xsl"/> 
+  <xsl:include href="xhtml/lfs-sections.xsl"/>
+  <xsl:include href="xhtml/lfs-titles.xsl"/>
+  <xsl:include href="xhtml/lfs-toc.xsl"/>
+  <xsl:include href="xhtml/lfs-xref.xsl"/>
+
+    <!-- This file contains our localization strings (for internationalization) -->
+  <xsl:param name="local.l10n.xml" select="document('lfs-l10n.xml')"/>
+
+  	<!-- The CSS Stylesheets -->
+  <xsl:param name="html.stylesheet" select="'../stylesheets/blfs.css'"/>
+  <xsl:template name='user.head.content'>
+     <link rel='stylesheet' href="../stylesheets/blfs-print.css" type="text/css" media='print'/>
+  </xsl:template> 
+
+  	<!-- Dropping some unwanted style attributes -->
+  <xsl:param name="ulink.target" select="''"></xsl:param>
+  <xsl:param name="css.decoration" select="0"></xsl:param>
+  
+    <!-- No XML declaration -->
+  <xsl:param name="chunker.output.omit-xml-declaration" select="'yes'"/>
+
+</xsl:stylesheet>
Index: stylesheets/blfs-nochunks.xsl
===================================================================
--- stylesheets/blfs-nochunks.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
+++ stylesheets/blfs-nochunks.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
@@ -0,0 +1,658 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+    <!-- We use XHTML -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.67.2/xhtml/docbook.xsl"/>
+
+  <!-- Fix encoding issues with default UTF-8 output of the xhtml stylesheet -->
+  <xsl:output method="html" encoding="ISO-8859-1" indent="no" />
+  
+   <!-- Including our others customized templates -->
+  <xsl:include href="xhtml/lfs-admon.xsl"/>
+  <xsl:include href="xhtml/lfs-index.xsl"/>
+  <xsl:include href="xhtml/lfs-mixed.xsl"/>
+  <xsl:include href="xhtml/lfs-sections.xsl"/>
+  <xsl:include href="xhtml/lfs-toc.xsl"/>
+  <xsl:include href="xhtml/lfs-xref.xsl"/>
+
+    <!-- This file contains our localization strings (for internationalization) -->
+  <xsl:param name="local.l10n.xml" select="document('lfs-l10n.xml')"/>
+
+    <!-- Dropping some unwanted style attributes -->
+  <xsl:param name="ulink.target" select="''"></xsl:param>
+  <xsl:param name="css.decoration" select="0"></xsl:param>
+
+    <!-- To drop the remainig dot when title is empty (from lfs-titles.xsl)-->
+  <xsl:template name="sect2.titlepage">
+    <xsl:choose>
+      <xsl:when test="string-length(title) = 0"/>
+      <xsl:otherwise>
+        <div class="titlepage">
+          <xsl:if test="@id">
+            <a id="{@id}" name="{@id}"/>
+          </xsl:if>
+          <h3 class="{name(.)}">
+            <xsl:apply-templates select="." mode="label.markup"/>
+            <xsl:text>. </xsl:text>
+            <xsl:value-of select="title"/>
+          </h3>
+        </div>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+    <!-- Added the role param for proper punctuation in xref calls
+            (from lfs-titles.xsl). -->
+  <xsl:template match="*" mode="insert.title.markup">
+    <xsl:param name="purpose"/>
+    <xsl:param name="xrefstyle"/>
+    <xsl:param name="title"/>
+    <xsl:param name="role"/>
+    <xsl:choose>
+      <xsl:when test="$purpose = 'xref' and titleabbrev">
+        <xsl:apply-templates select="." mode="titleabbrev.markup"/>
+      </xsl:when>
+      <xsl:otherwise>
+        <xsl:copy-of select="$title"/>
+        <xsl:value-of select="$role"/>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+    <!-- The CSS Stylesheet -->
+  <xsl:template name='user.head.content'>
+    <style type="text/css">
+      <xsl:text>
+/* Global settings */
+body {
+  font-family: verdana, tahoma, helvetica, arial, sans-serif;
+  text-align: left;
+  background: #fff;
+  color: #333;
+  margin: 1em;
+  padding: 0;
+  font-size: 1em;
+  line-height: 1.2em
+}
+
+a:link { color: #22b; }
+a:visited { color: #7e4988; }
+a:hover, a:focus { color: #d30e08; }
+a:active { color: #6b77b1;}
+
+/* Headers */
+h1, h2, b, strong {
+  color: #000;
+  font-weight: bold;
+}
+
+h3, h4, h5, h6 {
+  color: #222;
+}
+
+h1 { font-size: 173%; text-align: center; }
+h2 { font-size: 144%; }
+h2.subtitle { text-align: center; }
+h3 { font-size: 120%; padding-top: 0.2em; margin-top: 0.3em; }
+h4 { font-size: 110%;}
+h5, h6 { font-size: 110%; font-style: italic; }
+
+/* TOC and Index*/
+
+div.toc ul, div.index ul, div.navheader ul, div.navfooter ul {
+  list-style: none;
+}
+
+div.toc, div.dedication {
+  padding-left: 1em;
+}
+
+li.preface {
+  margin-left: 1em;
+}
+
+div.toc ul li h3, div.toc ul li h4 {
+  margin: .4em;
+}
+
+.item {
+    width: 15em;
+    float: left;
+}
+
+.secitem {
+    font-weight: normal;
+    width: 14em;
+    float: left;
+}
+
+/* Admonitions */
+div.note, div.tip {
+  background-color: #fffff6;
+  border: 2px solid #dbddec;
+  width: 90%;
+  margin: .5em auto;
+}
+
+div.important, div.warning, div.caution {
+  background-color: #fffff6;
+  border: medium solid #400;
+  width: 90%;
+  margin: 1.5em auto;
+  color: #600;
+  font-size: larger;
+}
+
+div.important h3, div.warning h3, div.caution h3 {
+  color: #900;
+}
+
+div.admonhead img {
+  display: none;
+}
+
+h3.admontitle {
+  padding-left: 2.5em;
+  padding-top: 1em;
+}
+
+div.admonbody {
+  margin: .5em;
+}
+
+div.important em, div.warning em, div.caution em {
+  color: #000;
+  font-weight: bold;
+}
+
+div.important tt, div.warning tt, div.caution tt {
+  font-weight: bold;
+}
+
+/* variablelist and segmentedlist */
+dl {
+  margin: 0;
+  padding: 0;
+}
+
+dt {
+  display: list-item;
+  font-weight: bold;
+  margin: .33em 0 0 1em;
+  padding: 0;
+}
+
+div.content dt {
+  list-style: none;
+}
+
+dd  {
+  margin: 0 0 1em 3em;
+  padding: 0;
+}
+
+div.variablelist dd {
+  margin-bottom: 1em;
+}
+
+div.variablelist dd p {
+  margin-top: 0px;
+}
+
+dl.materials dd {
+  margin-left: 0px;
+}
+
+div.segmentedlist {
+  margin-top: 1em;
+}
+
+div.segmentedlist p {
+  margin: 0px auto;
+}
+
+/* itemizedlist */
+
+div.itemizedlist {
+  margin-left: 1em;
+}
+
+div.sect3 li p {
+  padding: 0.3em;
+  margin: 0em;
+  background-color: #f0fff0;
+}
+
+/* Indented blocks */
+p, ul, dl, code, blockquote {
+  padding-left: 1em;
+}
+
+/* Monospaced elements */
+tt, code, kbd, pre, .command {
+  font-family: monospace;
+}
+
+pre.userinput {
+  color: #101310;
+  background-color: #e5e5e5;
+  border: 1px solid #050505;
+  padding: .5em 1em;
+  margin: 0 2em;
+  font-weight: bold;
+}
+
+pre.screen {
+  background-color: #e9e9e9;
+  border: 1px solid #050505;
+  padding: .5em 1em;
+  margin: 0 2em;
+}
+
+/* Sections */
+div.package {
+  background: #f5f6f7;
+  border-bottom: 0.2em solid #dbddec;
+  padding: 0.5em 0.5em 0.3em 0.5em;
+  margin: 0px auto;
+}
+
+div.installation {
+  padding: 0 0.5em 0.3em 0.5em;
+  margin: 0.5em 0 0.5em 0;
+}
+
+div.configuration {
+  background:   #fefefe;
+  border-top: 0.2em solid #dbddec;
+  padding: 0.5em;
+  margin: 0.5em 0 .5em 0;
+}
+
+div.content {
+  background: #f5f6f7;
+  border-top: 0.2em solid #dbddec;
+  border-bottom: 0.2em solid #dbddec;
+  padding: 0.5em 0.5em 1em 0.5em;
+  margin: 0.5em 0 .5em 0;
+}
+
+div.installation h3.title, div.content h3.title {
+  padding-top: 0.3em;
+  margin: 0;
+}
+
+div.book, div.preface, div.part, div.chapter, div.sect1, div.appendix, div.index {
+  padding-bottom: 0.5em;
+}
+
+div.preface h2, div.part h1, div.chapter h2.title, div.sect1 h2.title, div.appendix h1, div.index h1 {
+  background: #f5f6f7;
+  border-bottom: .2em solid #dbddec;
+  border-top: .2em solid #dbddec;
+  margin-top 1em;
+  padding: .5em;
+  text-align: center;
+}
+
+div.book h1 {
+  background: #f5f6f7;
+  margin: 0px auto;
+  padding: 0.5em;
+}
+
+div.book h2.subtitle {
+  background: #dbddec;
+  margin: 0px auto;
+  padding: 0.2em;
+}
+div.authorgroup, div p.copyright, div.abstract div p.pubdate, div.revhistory {
+  background: #f5f6f7;
+  margin: 0px auto;
+  padding:  1em 0.5em;
+}
+
+hr {
+  background: #dbddec;
+  height: .3em;
+  border: 0px;
+  margin: 0px auto;
+  padding: 0;
+}
+      </xsl:text>
+    </style>
+  </xsl:template>
+
+</xsl:stylesheet>
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+    <!-- We use XHTML -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.67.2/xhtml/docbook.xsl"/>
+
+  <!-- Fix encoding issues with default UTF-8 output of the xhtml stylesheet -->
+  <xsl:output method="html" encoding="ISO-8859-1" indent="no" />
+  
+   <!-- Including our others customized templates -->
+  <xsl:include href="xhtml/lfs-admon.xsl"/>
+  <xsl:include href="xhtml/lfs-index.xsl"/>
+  <xsl:include href="xhtml/lfs-mixed.xsl"/>
+  <xsl:include href="xhtml/lfs-sections.xsl"/>
+  <xsl:include href="xhtml/lfs-toc.xsl"/>
+  <xsl:include href="xhtml/lfs-xref.xsl"/>
+
+    <!-- This file contains our localization strings (for internationalization) -->
+  <xsl:param name="local.l10n.xml" select="document('lfs-l10n.xml')"/>
+
+    <!-- Dropping some unwanted style attributes -->
+  <xsl:param name="ulink.target" select="''"></xsl:param>
+  <xsl:param name="css.decoration" select="0"></xsl:param>
+
+    <!-- To drop the remainig dot when title is empty (from lfs-titles.xsl)-->
+  <xsl:template name="sect2.titlepage">
+    <xsl:choose>
+      <xsl:when test="string-length(title) = 0"/>
+      <xsl:otherwise>
+        <div class="titlepage">
+          <xsl:if test="@id">
+            <a id="{@id}" name="{@id}"/>
+          </xsl:if>
+          <h3 class="{name(.)}">
+            <xsl:apply-templates select="." mode="label.markup"/>
+            <xsl:text>. </xsl:text>
+            <xsl:value-of select="title"/>
+          </h3>
+        </div>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+    <!-- Added the role param for proper punctuation in xref calls
+            (from lfs-titles.xsl). -->
+  <xsl:template match="*" mode="insert.title.markup">
+    <xsl:param name="purpose"/>
+    <xsl:param name="xrefstyle"/>
+    <xsl:param name="title"/>
+    <xsl:param name="role"/>
+    <xsl:choose>
+      <xsl:when test="$purpose = 'xref' and titleabbrev">
+        <xsl:apply-templates select="." mode="titleabbrev.markup"/>
+      </xsl:when>
+      <xsl:otherwise>
+        <xsl:copy-of select="$title"/>
+        <xsl:value-of select="$role"/>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+    <!-- The CSS Stylesheet -->
+  <xsl:template name='user.head.content'>
+    <style type="text/css">
+      <xsl:text>
+/* Global settings */
+body {
+  font-family: verdana, tahoma, helvetica, arial, sans-serif;
+  text-align: left;
+  background: #fff;
+  color: #333;
+  margin: 1em;
+  padding: 0;
+  font-size: 1em;
+  line-height: 1.2em
+}
+
+a:link { color: #22b; }
+a:visited { color: #7e4988; }
+a:hover, a:focus { color: #d30e08; }
+a:active { color: #6b77b1;}
+
+/* Headers */
+h1, h2, b, strong {
+  color: #000;
+  font-weight: bold;
+}
+
+h3, h4, h5, h6 {
+  color: #222;
+}
+
+h1 { font-size: 173%; text-align: center; }
+h2 { font-size: 144%; }
+h2.subtitle { text-align: center; }
+h3 { font-size: 120%; padding-top: 0.2em; margin-top: 0.3em; }
+h4 { font-size: 110%;}
+h5, h6 { font-size: 110%; font-style: italic; }
+
+/* TOC and Index*/
+
+div.toc ul, div.index ul, div.navheader ul, div.navfooter ul {
+  list-style: none;
+}
+
+div.toc, div.dedication {
+  padding-left: 1em;
+}
+
+li.preface {
+  margin-left: 1em;
+}
+
+div.toc ul li h3, div.toc ul li h4 {
+  margin: .4em;
+}
+
+.item {
+    width: 15em;
+    float: left;
+}
+
+.secitem {
+    font-weight: normal;
+    width: 14em;
+    float: left;
+}
+
+/* Admonitions */
+div.note, div.tip {
+  background-color: #fffff6;
+  border: 2px solid #dbddec;
+  width: 90%;
+  margin: .5em auto;
+}
+
+div.important, div.warning, div.caution {
+  background-color: #fffff6;
+  border: medium solid #400;
+  width: 90%;
+  margin: 1.5em auto;
+  color: #600;
+  font-size: larger;
+}
+
+div.important h3, div.warning h3, div.caution h3 {
+  color: #900;
+}
+
+div.admonhead img {
+  display: none;
+}
+
+h3.admontitle {
+  padding-left: 2.5em;
+  padding-top: 1em;
+}
+
+div.admonbody {
+  margin: .5em;
+}
+
+div.important em, div.warning em, div.caution em {
+  color: #000;
+  font-weight: bold;
+}
+
+div.important tt, div.warning tt, div.caution tt {
+  font-weight: bold;
+}
+
+/* variablelist and segmentedlist */
+dl {
+  margin: 0;
+  padding: 0;
+}
+
+dt {
+  display: list-item;
+  font-weight: bold;
+  margin: .33em 0 0 1em;
+  padding: 0;
+}
+
+div.content dt {
+  list-style: none;
+}
+
+dd  {
+  margin: 0 0 1em 3em;
+  padding: 0;
+}
+
+div.variablelist dd {
+  margin-bottom: 1em;
+}
+
+div.variablelist dd p {
+  margin-top: 0px;
+}
+
+dl.materials dd {
+  margin-left: 0px;
+}
+
+div.segmentedlist {
+  margin-top: 1em;
+}
+
+div.segmentedlist p {
+  margin: 0px auto;
+}
+
+/* itemizedlist */
+
+div.itemizedlist {
+  margin-left: 1em;
+}
+
+div.sect3 li p {
+  padding: 0.3em;
+  margin: 0em;
+  background-color: #f0fff0;
+}
+
+/* Indented blocks */
+p, ul, dl, code, blockquote {
+  padding-left: 1em;
+}
+
+/* Monospaced elements */
+tt, code, kbd, pre, .command {
+  font-family: monospace;
+}
+
+pre.userinput {
+  color: #101310;
+  background-color: #e5e5e5;
+  border: 1px solid #050505;
+  padding: .5em 1em;
+  margin: 0 2em;
+  font-weight: bold;
+}
+
+pre.screen {
+  background-color: #e9e9e9;
+  border: 1px solid #050505;
+  padding: .5em 1em;
+  margin: 0 2em;
+}
+
+/* Sections */
+div.package {
+  background: #f5f6f7;
+  border-bottom: 0.2em solid #dbddec;
+  padding: 0.5em 0.5em 0.3em 0.5em;
+  margin: 0px auto;
+}
+
+div.installation {
+  padding: 0 0.5em 0.3em 0.5em;
+  margin: 0.5em 0 0.5em 0;
+}
+
+div.configuration {
+  background:   #fefefe;
+  border-top: 0.2em solid #dbddec;
+  padding: 0.5em;
+  margin: 0.5em 0 .5em 0;
+}
+
+div.content {
+  background: #f5f6f7;
+  border-top: 0.2em solid #dbddec;
+  border-bottom: 0.2em solid #dbddec;
+  padding: 0.5em 0.5em 1em 0.5em;
+  margin: 0.5em 0 .5em 0;
+}
+
+div.installation h3.title, div.content h3.title {
+  padding-top: 0.3em;
+  margin: 0;
+}
+
+div.book, div.preface, div.part, div.chapter, div.sect1, div.appendix, div.index {
+  padding-bottom: 0.5em;
+}
+
+div.preface h2, div.part h1, div.chapter h2.title, div.sect1 h2.title, div.appendix h1, div.index h1 {
+  background: #f5f6f7;
+  border-bottom: .2em solid #dbddec;
+  border-top: .2em solid #dbddec;
+  margin-top 1em;
+  padding: .5em;
+  text-align: center;
+}
+
+div.book h1 {
+  background: #f5f6f7;
+  margin: 0px auto;
+  padding: 0.5em;
+}
+
+div.book h2.subtitle {
+  background: #dbddec;
+  margin: 0px auto;
+  padding: 0.2em;
+}
+div.authorgroup, div p.copyright, div.abstract div p.pubdate, div.revhistory {
+  background: #f5f6f7;
+  margin: 0px auto;
+  padding:  1em 0.5em;
+}
+
+hr {
+  background: #dbddec;
+  height: .3em;
+  border: 0px;
+  margin: 0px auto;
+  padding: 0;
+}
+      </xsl:text>
+    </style>
+  </xsl:template>
+
+</xsl:stylesheet>
Index: stylesheets/pdf/lfs-admon.xsl
===================================================================
--- stylesheets/pdf/lfs-admon.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
+++ stylesheets/pdf/lfs-admon.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
@@ -0,0 +1,94 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns:fo="http://www.w3.org/1999/XSL/Format"
+                version="1.0">
+
+
+    <!-- Graphics in admonitions -->
+  <xsl:param name="admon.graphics" select="1"/>
+  <xsl:param name="admon.graphics.path" select="'images/'"/>
+
+    <!-- Admonition block properties -->
+  <xsl:template match="important|warning|caution">
+    <xsl:choose>
+      <xsl:when test="$admon.graphics != 0">
+        <fo:block space-before.minimum="0.4em" space-before.optimum="0.6em"
+              space-before.maximum="0.8em" border-style="solid" border-width="1pt"
+              border-color="#500" background-color="#FFFFE6">
+        <xsl:call-template name="graphical.admonition"/>
+        </fo:block>
+      </xsl:when>
+      <xsl:otherwise>
+        <xsl:call-template name="nongraphical.admonition"/>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+  <xsl:template match="note|tip">
+    <xsl:choose>
+      <xsl:when test="$admon.graphics != 0">
+        <fo:block space-before.minimum="0.4em" space-before.optimum="0.6em"
+              space-before.maximum="0.8em" border-style="solid" border-width="1pt"
+              border-color="#E0E0E0" background-color="#FFFFE6">
+        <xsl:call-template name="graphical.admonition"/>
+        </fo:block>
+      </xsl:when>
+      <xsl:otherwise>
+        <xsl:call-template name="nongraphical.admonition"/>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+    <!-- Admonitions text properties -->
+  <xsl:attribute-set name="admonition.properties">
+    <xsl:attribute name="margin-right">6pt</xsl:attribute>
+  </xsl:attribute-set>
+
+    <!-- Adding left space to the graphics and color to the titles -->
+  <xsl:template name="graphical.admonition">
+    <xsl:variable name="id">
+      <xsl:call-template name="object.id"/>
+    </xsl:variable>
+    <xsl:variable name="graphic.width">
+     <xsl:apply-templates select="." mode="admon.graphic.width"/>
+    </xsl:variable>
+    <fo:block id="{$id}">
+      <fo:list-block provisional-distance-between-starts="{$graphic.width} + 18pt"
+              provisional-label-separation="18pt" xsl:use-attribute-sets="list.block.spacing">
+        <fo:list-item>
+            <fo:list-item-label end-indent="label-end()">
+              <fo:block margin-left="4pt">
+                <fo:external-graphic width="auto" height="auto"
+                        content-width="{$graphic.width}" >
+                  <xsl:attribute name="src">
+                    <xsl:call-template name="admon.graphic"/>
+                  </xsl:attribute>
+                </fo:external-graphic>
+              </fo:block>
+            </fo:list-item-label>
+            <fo:list-item-body start-indent="body-start()">
+              <xsl:if test="$admon.textlabel != 0 or title">
+                <fo:block xsl:use-attribute-sets="admonition.title.properties">
+                  <xsl:if test="ancestor-or-self::important">
+                    <xsl:attribute name="color">#500</xsl:attribute>
+                  </xsl:if>
+                  <xsl:if test="ancestor-or-self::warning">
+                    <xsl:attribute name="color">#500</xsl:attribute>
+                  </xsl:if>
+                  <xsl:if test="ancestor-or-self::caution">
+                    <xsl:attribute name="color">#500</xsl:attribute>
+                  </xsl:if>
+                  <xsl:apply-templates select="." mode="object.title.markup"/>
+                </fo:block>
+              </xsl:if>
+              <fo:block xsl:use-attribute-sets="admonition.properties">
+                <xsl:apply-templates/>
+              </fo:block>
+            </fo:list-item-body>
+        </fo:list-item>
+      </fo:list-block>
+    </fo:block>
+  </xsl:template>
+
+</xsl:stylesheet>
Index: stylesheets/pdf/lfs-index.xsl
===================================================================
--- stylesheets/pdf/lfs-index.xsl	(revision bad8b539cbca46c3e201a7641fad633248e10696)
+++ stylesheets/pdf/lfs-index.xsl	(revision 3fe8b511a872c0d5eb866ccd2603295f6ae58bbf)
@@ -49,4 +49,10 @@
                 </xsl:when>
                 <xsl:when test="$divtitle = 'E'">
+                    <xsl:text>Configuration Files</xsl:text>
+                </xsl:when>
+                <xsl:when test="$divtitle = 'F'">
+                  <xsl:text>Bootscripts</xsl:text>
+                </xsl:when>
+                <xsl:when test="$divtitle = 'G'">
                     <xsl:text>Others</xsl:text>
                 </xsl:when>
